fail: Forward-compatible MonadFail class

[ bsd3, development, library ] [ Propose Tags ]

This package contains the Control.Monad.Fail module providing the MonadFail class that became available in base-4.9.0.0 for older base package versions.

This package turns into an empty package when used with GHC versions which already provide the Control.Monad.Fail module to make way for GHC's own Control.Monad.Fail module.

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Candidates

Versions [RSS] 4.9.0.0
Dependencies base (>=4.3 && <4.9) [details]
License BSD-3-Clause
Author Herbert Valerio Riedel
Maintainer libraries@haskell.org
Category Development
Home page https://prime.haskell.org/wiki/Libraries/Proposals/MonadFail
Uploaded by HerbertValerioRiedel at 2016-01-21T15:11:33Z
Distributions LTSHaskell:4.9.0.0, NixOS:4.9.0.0, Stackage:4.9.0.0, openSUSE:4.9.0.0
Downloads 112927 total (148 in the last 30 days)
Rating 2.0 (votes: 1) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Docs uploaded by user
Build status unknown [no reports yet]